# LightweightDatabaseServer.h File Reference

A simple flat database included with RakNet, useful for a server browser or a lobby server. More...

`#include "Export.h"`
`#include "PluginInterface2.h"`
`#include "LightweightDatabaseCommon.h"`
`#include "DS_Map.h"`

## Classes

class | LightweightDatabaseServer
| A simple flat database included with RakNet, useful for a server browser or a lobby server. A flat database interface. Adds the ability to track IPs of row updaters and passwords for table read and write operations, Best used for data in which queries which do not need to be updated in real-time. More...

## Detailed Description

A simple flat database included with RakNet, useful for a server browser or a lobby server.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.